Description

In the dataone pilot catalog, we are referencing the dataone style sheet (for same look and feel). if the style sheet file name changes

in the dataone website, the pilot catalog fails to load the style sheet.

Can we have system to notify the external tools that uses the dataone style sheet? 

History

#1 - 2010-01-21 22:57 - Dave Vieglais

- Status changed from New to In Progress

Could use the "change" tickets for this.  Basically if something is to be / was modified that may affect others, then issue a change ticket.  Subscribers

to tickets will be notified of the alteration.

#2 - 2010-01-21 23:36 - Matthew Jones

The plone site is configured to automatically compile all of the stylesheets for the site into a single .css file, and then gives that sheet a temporary

name based on a hash.  The stylesheet only needs to be reloaded when the hash changes, and is controlled by plone's cache mechanism.  Are you

pointing at the hash name version of the stylesheet?  Maybe we'd want to archive a version of the stylesheet that is not under plone's control

(although then we would have to update it independently).  Any update to a style in plone, and anytime the cache expires, we might see a new name

for the dataone stylesheet in plone.  

#3 - 2010-01-22 14:29 - Giri Palanisamy

yes, I am pointing to the cache versions (base-cachekey6550.css, main-cachekey2742.css, collage-cachekey8626.css,

resourcesonet.theme.stylesheetsmain-cachekey2362.css,at-cachekey7399.kss).

Is it possible to have the same names for the cache files? 

#4 - 2010-08-12 16:48 - Matthew Jones

- Status changed from In Progress to Closed

A static copy of the plone stylesheet is being used, so no more needs to be done on this task.
